Use GCC 8 in build-many-glibcs.py by default

System Internals / glibc - Joseph Myers [codesourcery.com] - 25 April 2018 15:05 EDT

Now that GCC 8 has branched, this patch makes build-many-glibcs.py default to using GCC 8 branch instead of GCC 7. The effect should be that all builds complete cleanly and the compilation parts of the glibc testsuite complete cleanly except for on i686-gnu (with GCC 7 there were testsuite failures for some other configurations as well).

I've replaced my bot building using GCC 6 branch with one using GCC 8 branch. (Of course glibc should continue building with GCC 6 - and for that matter GCC 5 and 4.9, which are no longer maintained, are supported versions as well - but building with GCC 6 will no longer be included in my bot testing.)

- scripts/build-many-glibcs.py (Context.checkout): Default GCC
version to GCC 8 branch.

42a2bf58ff Use GCC 8 in build-many-glibcs.py by default.
ChangeLog | 5 +++++
scripts/build-many-glibcs.py | 2 +-
2 files changed, 6 insertions(+), 1 deletion(-)

Upstream: sourceware.org


  • Share